Subject: Re: [PATCH 1/8] config.txt: remove pointer to SubmittingPatches

From: Stephen Boyd <[email-masked]>
Date: Thu, 23 Apr 2009 09:03:41 -0700

Michael J Gruber wrote:
> Stephen Boyd venit, vidit, dixit 23.04.2009 11:37:
>> SubmittingPatches exists in the git source documentation for developers
>> of git and is not included in the man/html page distributions.
>>
>> Signed-off-by: Stephen Boyd <[email-masked]>
>> ---
>>  Documentation/config.txt |    1 -
>>  1 files changed, 0 insertions(+), 1 deletions(-)
>>
>> diff --git a/Documentation/config.txt b/Documentation/config.txt
>> index 35056e1..fb7adfa 100644
>> --- a/Documentation/config.txt
>> +++ b/Documentation/config.txt
>> @@ -743,7 +743,6 @@ format.signoff::
>>      format-patch by default. *Note:* Adding the Signed-off-by: line to a
>>      patch should be a conscious act and means that you certify you have
>>      the rights to submit this work under the same open source license.
>> -    Please see the 'SubmittingPatches' document for further discussion.
>
> Shouldn't we point to the source then? We're not talking about links
> here, only references in the sense of referring to further reading.

I was thinking that a user isn't going to download the source for git so
they can read the SubmittingPatches document. Although, it's possible
they downloaded the tarball and built from source so they would have the
file.

Now I'm starting to dislike this whole paragraph because git isn't used
exclusively for open source software. Seems like others agree with a
little searching of gmane[1]
I think Andreas Ericsson's version with Jeff King's updates would be good.

Junio, I would say drop this patch.

[1] http://thread.gmane.org/gmane.comp.version-control.git/115299